curl --request POST \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs \
--header 'Content-Type: application/json' \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>' \
--data '
{
"type": "STATIC",
"aggregator_merchant_identifier": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30"
}
'{
"api_version": "v1",
"data": {
"id": "4",
"token": "qr_4076ad61-75cf-44a3-97a1-b66643ea3bf2",
"aggregator_merchant_id": "am_be454a50-7612-4dc6-a97e-284ebbe7ae93",
"type": "DYNAMIC",
"code": "0002010102122876003285bc899c1dd443e3b3beb24631aef0930108SAFEPAYZ0224PK08ALFH00050010086764445207343434353035865406100.005802PK5921Timeless Designs Code6006Lahore62130509order12348476003285bc899c1dd443e3b3beb24631aef09301367b165d5f-01df-4bfe-81b4-bef010df9",
"terminal_label": "",
"reference_label": "",
"is_deleted": false,
"created_at": "2025-04-28T10:26:48Z"
}
}QRs
Create QR
Create a static or dynamic QR code
POST
/
v1
/
aggregators
/
{raast-aggregator-id}
/
qrs
curl --request POST \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs \
--header 'Content-Type: application/json' \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>' \
--data '
{
"type": "STATIC",
"aggregator_merchant_identifier": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30"
}
'{
"api_version": "v1",
"data": {
"id": "4",
"token": "qr_4076ad61-75cf-44a3-97a1-b66643ea3bf2",
"aggregator_merchant_id": "am_be454a50-7612-4dc6-a97e-284ebbe7ae93",
"type": "DYNAMIC",
"code": "0002010102122876003285bc899c1dd443e3b3beb24631aef0930108SAFEPAYZ0224PK08ALFH00050010086764445207343434353035865406100.005802PK5921Timeless Designs Code6006Lahore62130509order12348476003285bc899c1dd443e3b3beb24631aef09301367b165d5f-01df-4bfe-81b4-bef010df9",
"terminal_label": "",
"reference_label": "",
"is_deleted": false,
"created_at": "2025-04-28T10:26:48Z"
}
}Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
Body
application/json
Request to create a dynamic or static QR code
Parameters accepted when generating a QR code
QR code type to create; accepts STATIC or DYNAMIC
Identifier of the aggregator merchant the QR code belongs to
Client-supplied idempotency key. Must be a UUID v4 (exactly 36 characters with hyphens). Required for DYNAMIC QR codes.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Merchant-supplied order reference for dynamic QR codes
Optional amount to embed in the QR code for dynamic payments
Optional expiry window in minutes for dynamic QR codes; defaults to 180 when omitted
Was this page helpful?